import * as ec2 from '@aws-cdk/aws-ec2';
import * as cdk from '@aws-cdk/core';
/**
 * The interface for NyanCat.
 *
 * @stability stable
 */
export interface NyanCatProps {
    /**
     * The VPC.
     *
     * @stability stable
     */
    readonly vpc?: ec2.IVpc;
    /**
     * The Instance Type.
     *
     * @default - t3.nano
     * @stability stable
     */
    readonly instanceType?: ec2.InstanceType;
}
/**
 * @stability stable
 */
export declare class NyanCat extends cdk.Construct {
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props?: NyanCatProps);
}
